Bug 188101 - Can't share a loopback mounted ISO
Summary: Can't share a loopback mounted ISO
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Russell Coker
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-06 01:17 UTC by Chris Adams
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 18:02:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Adams 2006-04-06 01:17:30 UTC
I'm trying to loopback mount an ISO image and then share it via HTTP.  This
needs the public_content_t type, so I tried to mount like:

 mount -t iso9660 -o context=system_u:object_r:public_content_t,ro,loop
/install/pub/fedora/linux/core/5/i386/iso/FC-5-i386-DVD.iso
/install/pub/fedora/linux/core/5/i386/os

That gives me (from dmesg):

ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
SELinux: security_context_to_sid(system_u:object_r:public_content_t) failed for
(dev loop0, type iso9660) errno=-22

Am I doing something wrong or is this a bug?

I thought I'd try to learn about the new modular SELinux, but I couldn't figure
out how to build a module to do that.

Comment 1 Chris Adams 2006-04-21 18:02:00 UTC
This appears to be working after updating to kernel-2.6.16-1.2096_FC5.

Comment 2 Paul Howarth 2006-05-03 16:03:42 UTC
This might actually be a duplicate of Bug #186915.


Note You need to log in before you can comment on or make changes to this bug.